com.ibm.openpages.api.workflow

## Class WFConditionReport

- java.lang.Object
- - com.ibm.openpages.api.workflow.WFConditionReport

- All Implemented Interfaces:
    java.io.Serializable

      public class WFConditionReport
      extends java.lang.Object
      implements java.io.Serializable

  Represents evaluation report of all the Validations defined on process definition during process transition. Each validation evaluation result is represented by `WFEvalResult`
  Since:
    8.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WFConditionReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdvancedEvaluationResult(WFAdvancedEvalResult advancedEvaluationResult)`
    `void` | `addEvaluationResult(WFEvalResult evaluationResult)`
    `java.util.List<WFAdvancedEvalResult>` | `getAdvancedEvaluationResults()`
    `java.util.List<WFEvalResult>` | `getEvaluationResults()`
    `boolean` | `getResult()`
    `void` | `setAdvancedEvaluationResults(java.util.List<WFAdvancedEvalResult> advancedEvaluationResults)`
    `void` | `setEvaluationResults(java.util.List<WFEvalResult> evaluationResults)`
    `void` | `setResult(boolean result)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### result

          public boolean result

  - ### Constructor Detail

    - #### WFConditionReport

          public WFConditionReport()

  - ### Method Detail

    - #### getResult

          public boolean getResult()

    - #### setResult

          public void setResult(boolean result)

    - #### getEvaluationResults

          public java.util.List<WFEvalResult> getEvaluationResults()

    - #### setEvaluationResults

          public void setEvaluationResults(java.util.List<WFEvalResult> evaluationResults)

    - #### addEvaluationResult

          public void addEvaluationResult(WFEvalResult evaluationResult)

    - #### getAdvancedEvaluationResults

          public java.util.List<WFAdvancedEvalResult> getAdvancedEvaluationResults()

    - #### setAdvancedEvaluationResults

          public void setAdvancedEvaluationResults(java.util.List<WFAdvancedEvalResult> advancedEvaluationResults)

    - #### addAdvancedEvaluationResult

          public void addAdvancedEvaluationResult(WFAdvancedEvalResult advancedEvaluationResult)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.